Page MenuHomePhabricator

export: use unfiltered repo if we're exporting the working copy parent
AbandonedPublic

Authored by martinvonz on Oct 22 2019, 1:55 PM.

Details

Reviewers
durin42
marmoute
Group Reviewers
hg-reviewers
Summary

Same reasoning as in the previous patch. hg export drops from 0.180s
to 0.140s.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

martinvonz created this revision.Oct 22 2019, 1:55 PM

Do you have performance number for this?

martinvonz edited the summary of this revision. (Show Details)Nov 12 2019, 4:32 PM
martinvonz updated this revision to Diff 18047.
durin42 accepted this revision.Nov 13 2019, 6:08 PM
This revision is now accepted and ready to land.Nov 13 2019, 6:08 PM
marmoute requested changes to this revision.Apr 22 2020, 11:59 AM

This was superseeded by another mechanism and can be safely abandonned.

This revision now requires changes to proceed.Apr 22 2020, 11:59 AM
martinvonz abandoned this revision.Apr 22 2020, 12:02 PM